# $Revision: 1.8 $, $Date: 2010/08/22 08:51:30 $
%include	/usr/lib/rpm/macros.php
%define		_status		beta
%define		_pearname	Services_TinyURL
Summary:	%{_pearname} - PHP interface to TinyURL's API
Summary(pl.UTF-8):	%{_pearname} - interfejs PHP do API serwisu TinyURL
Name:		php-pear-%{_pearname}
Version:	0.1.2
Release:	3
License:	New BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	40cf7a8225ff55db877df9ac3f9f6cd1
URL:		http://pear.php.net/package/Services_TinyURL/
BuildRequires:	php-pear-PEAR-core
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-curl
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An interface for creating TinyURL's with their API as well as looking
up destinations of given TinyURL's.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Interfejs ten umożliwia tworzenie malutkich URL-i (TinyURL) z
wykorzystaniem API tego serwisu, jak również wyszukiwania adresów
docelowych już istniejących adresów TinyURL.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Services/TinyURL
%{php_pear_dir}/Services/TinyURL.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/Services_TinyURL

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Services_TinyURL.spec,v $
Revision 1.8  2010/08/22 08:51:30  glen
- ensure rpmbuild macros present

Revision 1.7  2010/08/21 19:08:57  glen
- updated deps with pearize.sh
- release 3

Revision 1.6  2008/04/12 20:52:34  qboosh
- pl fix, less ambiguity

Revision 1.5  2008-01-31 12:16:10  glen
- rel 2

Revision 1.4  2008-01-31 11:52:25  glen
- restore spec contents

Revision 1.3  2008-01-01 12:55:22  witekfl
- encoded in UTF-8

Revision 1.2  2007-12-06 10:04:31  adamg
- updated to 0.1.2

Revision 1.1  2007/09/27 16:00:52  adamg
- new
